package com.up.zpb.controller.api;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.up.zpb.service.OfficeService;
import com.up.zpb.service.ShopService;
import com.up.zpb.util.ServletUtils;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@RestController
@RequestMapping("/reptile")
public class AnReptileController {

    private static final Logger logger = LoggerFactory.getLogger(AnReptileController.class);

    @Autowired
    private ShopService shopService;

    @Autowired
    private OfficeService officeService;

    /**
     * 商铺出售数据接收
     *
     * @return
     */
    @RequestMapping("/ReceiveSell")
    public String ReceiveSell(HttpServletRequest request) {
        // 爬取的数据
        String data = request.getParameter("data");
        // 数据id（需要返回）
        String data_key = request.getParameter("data_key");
        // 获取时间类型：新增或者更新
        String event_type = request.getParameter("event_type");
        if (StringUtils.isNotBlank(data)) {
            // 判断是更新数据还是新增数据
            if (event_type.equals("data.new")) {
                JSONObject jsonObject = JSON.parseObject(data);
                shopService.crawlerShop(jsonObject);
            } else if (event_type.equals("data.updated")) {
                return data_key;
            }
        }
        return data_key;
    }


    /**
     * 写字楼出售出租
     *
     * @param request
     * @return
     */
    @RequestMapping("/OfficeSell")
    public String OfficeSell(HttpServletRequest request) {
        // 爬取的数据
        String data = request.getParameter("data");
        // 数据id（需要返回）
        String data_key = request.getParameter("data_key");
        // 获取时间类型：新增或者更新
        String event_type = request.getParameter("event_type");
        if (StringUtils.isNotBlank(data)) {
            // 判断是更新数据还是新增数据
            if (event_type.equals("data.new")) {
                JSONObject jsonObject = JSON.parseObject(data);
                officeService.crawlerShop(jsonObject);
            } else if (event_type.equals("data.updated")) {
                return data_key;
            }
        }
        return data_key;
    }



    /**
     * 商铺新盘推送
     *
     * @return
     */
    @RequestMapping("/newDiskShop")
    public String newDiskShop(HttpServletRequest request) {
        // 爬取的数据
        String data = request.getParameter("data");
        // 数据id（需要返回）
        String data_key = request.getParameter("data_key");
        // 获取时间类型：新增或者更新
        String event_type = request.getParameter("event_type");
        if (StringUtils.isNotBlank(data)) {
            // 判断是更新数据还是新增数据
            if (event_type.equals("data.new")) {
                JSONObject jsonObject = JSON.parseObject(data);
                shopService.crawlerNewDiskShop(jsonObject);
            } else if (event_type.equals("data.updated")) {
                return data_key;
            }
        }
        return data_key;
    }

    /**
     * 写字楼新盘推送
     *
     * @return
     */
    @RequestMapping("/newDiskOffice")
    public String newDiskOffice(HttpServletRequest request) {
        // 爬取的数据
        String data = request.getParameter("data");
        // 数据id（需要返回）
        String data_key = request.getParameter("data_key");
        // 获取时间类型：新增或者更新
        String event_type = request.getParameter("event_type");
        if (StringUtils.isNotBlank(data)) {
            // 判断是更新数据还是新增数据
            if (event_type.equals("data.new")) {
                JSONObject jsonObject = JSON.parseObject(data);
                officeService.crawlerNewDiskOffice(jsonObject);
            } else if (event_type.equals("data.updated")) {
                return data_key;
            }
        }
        return data_key;
    }

}

