/**
 * 
 */
package com.up.zpb.controller.api;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.up.zpb.controller.AbstractController;
import com.up.zpb.service.LoanService;
import com.up.zpb.util.CheckParametersUtil;
import com.up.zpb.util.Constant;
import com.up.zpb.util.ObjectHelpUtils;
import com.up.zpb.util.ServletUtils;
import com.up.zpb.vo.Loan;
import com.up.zpb.vo.ResultObject;

import io.lettuce.core.dynamic.annotation.Param;

/**
 * 
 *      
 * 控制层    
 * @author PJJ       
 * @version 1.0     
 * @created 2019年7月30日 上午9:15:35
 */
@RestController
@RequestMapping(value = "/loan")
public class LoanController extends AbstractController {
	private static final Logger logger = LoggerFactory.getLogger(LoanController.class);

	@Autowired
	private LoanService loanService;
	
	@PostMapping("/selectPage")
	public ResultObject selectPage(HttpServletRequest request) throws Exception{
		ResultObject resultObject=new ResultObject();
		Map<String,Object> parameters = ServletUtils.getParameters(request);
		try{
		CheckParametersUtil.getInstance() 
		.put(parameters.get("pageSize"), "pageSize")
		.put(parameters.get("pageNum"), "pageNum").checkParameter();
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_PARAM_NULL);
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
			return resultObject;
		}
		return this.loanService.selectPage(parameters);
	}

	
	
	@PostMapping("/findEntityById")
	public ResultObject findEntityById(HttpServletRequest request) throws Exception{
		ResultObject resultObject=new ResultObject();
		Map<String,Object> parameters = ServletUtils.getParameters(request);
		logger.info("findEntityById  parameters:{}",parameters);
		try{
			CheckParametersUtil.getInstance()
			.put(parameters.get("id"), "id")
			.checkParameter();
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_PARAM_NULL);
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
			return resultObject;
		}
		return this.loanService.findEntityById(parameters.get("id")+"");
	}
	
	@PostMapping("/saveLoan")
	public ResultObject saveLoan(HttpServletRequest request) throws Exception{
		ResultObject resultObject=new ResultObject();
		Map<String,Object> parameters = ServletUtils.getParameters(request);
		try{
			CheckParametersUtil.getInstance()
			.put(parameters.get("name"), "name")
			.put(parameters.get("telephone"), "telephone")
			.put(parameters.get("vCode"), "vCode")
			.checkParameter();
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_PARAM_NULL);
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
			return resultObject;
		}
		return this.loanService.saveLoan(parameters);
	}
	
	
	@PostMapping("/updateLoan")
	public Map<String, Object> updateLoan(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		Map<String, Object> parameters = ServletUtils.getParameters(request);
		try {
			try {
				CheckParametersUtil.getInstance()
				.put(parameters.get("id"), "id")
				.checkParameter();
			} catch (Exception e) {
				resultObject.setCode(Constant.CODE_PARAM_NULL);
				resultObject.setMessage(e.getMessage());
				logger.error(e.getMessage(), e);
				return resultObject;
			}
			resultObject = this.loanService.updateLoan(parameters);
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		} 
		logger.info("updateMsgStatus end");
		return resultObject;
	}
	
	
	
}
