package com.up.zpb.controller.api;

import com.up.zpb.mapper.ProjectOrderMapper;
import com.up.zpb.util.CheckParametersUtil;
import com.up.zpb.util.Constant;
import com.up.zpb.util.ServletUtils;
import com.up.zpb.vo.ProjectOrder;
import com.up.zpb.vo.ResultObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

import java.util.HashMap;
import java.util.Map;

/**
 * 结佣控制器
 */
@RestController
@RequestMapping("/under")
public class UnderOrderController {

    private static final Logger logger = LoggerFactory.getLogger(UnderOrderController.class);

    @Autowired
    private ProjectOrderMapper projectOrderMapper;

    /**
     * 结佣金-线下支付
     *
     * @param request
     * @return
     */
    @PostMapping("/complete")
    public ResultObject complete(HttpServletRequest request) {
        ResultObject resultObject = new ResultObject();
        Map<String, Object> parameters = ServletUtils.getParameters(request);
        try {
            CheckParametersUtil
                    .getInstance()
                    .put(parameters.get("orderNo"), "orderNo")
                    .checkParameter();
            
            Map<String,Object> oMap=new HashMap<String, Object>();
            oMap.put("orderNo", parameters.get("orderNo"));
            ProjectOrder  entity=this.projectOrderMapper.findProjectEntity(oMap);
            if(entity !=null){
            	entity.setPayStatus("3");
            	projectOrderMapper.updateProject(entity);
            }else{
            	 resultObject.setCode(Constant.CODE_PARAM_NULL);
                 resultObject.setMessage("订单编号("+parameters.get("orderNo")+")有误，查无数据");
            }
            return resultObject;
        } catch (Exception e) {
            resultObject.setCode(Constant.CODE_PARAM_NULL);
            resultObject.setMessage(e.getMessage());
            logger.error(e.getMessage(), e);
            return resultObject;
        }
    }
}
