package com.up.zpb.controller.api;

import java.io.IOException;
import java.math.BigDecimal;
import java.util.Calendar;
import java.util.Date;
import java.util.Iterator;
import java.util.Map;
import java.util.SortedMap;
import java.util.TreeMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.google.common.collect.Maps;
import com.up.zpb.mapper.MemberMapper;
import com.up.zpb.mapper.MemberOrderMapper;
import com.up.zpb.mapper.ProjectOrderMapper;
import com.up.zpb.mapper.ShopMapper;
import com.up.zpb.mapper.UserOperRecordsMapper;
import com.up.zpb.util.DateUtils;
import com.up.zpb.util.PayUtils;
import com.up.zpb.util.RequestXML2Map;
import com.up.zpb.util.WxPayUtil;
import com.up.zpb.vo.MemberOrder;



@CrossOrigin
@RestController("appWXPayCallBackApi")
@RequestMapping("WXPayCallBackApi")
public class WXPayCallBackApi {
	
	private static final Logger log = LoggerFactory.getLogger(WXPayCallBackApi.class);
	public final static String API_KEY = "VdiexRYh3OaJddmSlFiQXQ2PMEdGfrCt";//API密钥
	@Autowired
	private MemberOrderMapper memberOrderMapper;
	
	@Autowired
	private MemberMapper memberMapper;
	
	@Autowired
	private ProjectOrderMapper projectOrderMapper;
	
	@Autowired
	private ShopMapper shopMapper;
	
	@Autowired
	private UserOperRecordsMapper userOperRecordsMapper;

	//支付回调函数
	@RequestMapping(value="callBack")
  	public void callBack(HttpServletRequest request,HttpServletResponse response,Model model) throws IOException {
  		log.info("WXPayCallBack  callback   run....");
  		try {
			// 1、获取支付回调参数 将支付回调参数解析为map形式
			Map<String, String> requestMap = RequestXML2Map.parseXml(request);
			log.info("result_code:" + requestMap.get("result_code")+"   "+"openid:" + requestMap.get("openid")+" out_trade_no : "+requestMap.get("out_trade_no"));
			// 过滤空 设置 TreeMap
			SortedMap<Object, Object> packageParams = new TreeMap<Object, Object>();
			Iterator it = requestMap.keySet().iterator();
			while (it.hasNext()) {
				String parameter = (String) it.next();
				String parameterValue = requestMap.get(parameter);
				String v = "";
				if (null != parameterValue) {
					v = parameterValue.trim();
				}
				packageParams.put(parameter, v);
			} 
			//添加付款日志记录
			String orderNo = (String) requestMap.get("out_trade_no");
			String time_end = (String) requestMap.get("time_end");
			String openid = (String) requestMap.get("openid");
//  			 2、校验支付回调签名是否正确     记录交易返回日志 TODO
  			if(WxPayUtil.isWxSing("UTF-8", packageParams, API_KEY)){
	  			if (requestMap.get("result_code").toString().equalsIgnoreCase("SUCCESS")) {
//	  			    3-1、校验成功  对数据库进行业务操作
	  				response.getWriter().write(WxPayUtil.setXML("SUCCESS", "")); 
	  				log.info("-------------"+WxPayUtil.setXML("SUCCESS", ""));
	  				String total_fee = (String)requestMap.get("total_fee");
	  				String transaction_id = (String)requestMap.get("transaction_id");
	  				log.info(" out_trade_no  ："+orderNo+"   "+" total_fee  ："+total_fee);
	  				MemberOrder order = memberOrderMapper.selectByPrimaryKey(orderNo);
//  					//支付成功 更新对应记录
	  				log.info("支付成功进入");
					//支付成功 更新对应记录
				    //更新订单表
				    order.setStatus(1);
				    order.setPaymentType(1);// 微信
					order.setBuyerEmail(openid);
					order.setPayTime(DateUtils.format(time_end, "yyyyMMddHHmmss"));//支付时间
					order.setTradeNo(transaction_id);//支付流水号
					memberOrderMapper.updateByPrimaryKey(order);
					Map<String,Object> parameters = Maps.newHashMap();
					parameters.put("orderNo", order.getOrderNo());
					Map<String, Object> mo = memberOrderMapper.selectByOrderNo(parameters);
					Integer dura =Integer.valueOf(mo.get("duration").toString());
					log.info("dura--->"+ dura);
					if(order.getOrderType() == 4) {
						PayUtils.updateProjectOrderForSuccess(order.getOrderNo(),projectOrderMapper);
					}else {
						//创建会员相关信息
						PayUtils.createMember(order, memberMapper,shopMapper,dura,userOperRecordsMapper);
					}
				    log.info("支付成功结束");
	  			  }else{
	  				  log.info("支付失败-------result_code为failed");
	  			  }
  			}else{
//  			3-2、签名校验失败 向微信服务器返回校验失败信息
  				log.info("支付失败-------回调签名验证失败！");
  				response.getWriter().write(WxPayUtil.setXML("FAIL", ""));
  			}
  		} catch (Exception e) {
  			e.printStackTrace();
  		}
  	}
		
	//将订单金额由‘元’转成‘分’
	public String dollarToPenny(BigDecimal fee) {
		float sessionmoney = Float.parseFloat(fee.toString());  //amount.toString()
  		String finalmoney = String.format("%.2f", sessionmoney);
  		finalmoney = finalmoney.replace(".", "");
  		int intMoney = Integer.parseInt(finalmoney);
  		return String.valueOf(intMoney);
	}
	
	/**
	 * 获取服务结束日期
	 * @param date
	 * @param type
	 * @return
	 */
	public static Date getEndDate(Date date,Integer status) {
		Calendar calendar = Calendar.getInstance();
		calendar.setTime(date);
		calendar.add(Calendar.MONTH, status);
		calendar.add(Calendar.DAY_OF_MONTH, -1);
		return calendar.getTime();
	}
}
