package com.up.zpb.controller.api;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.up.zpb.controller.AbstractController;
import com.up.zpb.service.WeChatPayService;
import com.up.zpb.util.Constant;
import com.up.zpb.util.ResultException;
import com.up.zpb.vo.ResultObject;

@RestController
@RequestMapping("/weChat/auth")
public class WeChatPayController  extends AbstractController{
	
	private static final Logger logger = LoggerFactory.getLogger(WeChatPayController.class);

	@Autowired
	WeChatPayService weChatPayService;
	
	/**
	 * 微信支付app
	 * @param request
	 * @return
	 */
	@PostMapping("appWeChatPay")
	public ResultObject appWeChatPay(HttpServletRequest request) {
		System.out.println("入参 ： "+request.getParameter("id")+"  "+request.getParameter("cityId")+" "+request.getParameter("orderSouce"));
		ResultObject resultObject = new ResultObject();
		try {
			resultObject = weChatPayService.appWeChatPay(request);
		} catch (ResultException e) {
			resultObject.setCode(e.getCode());
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		return resultObject;
    } 
	
	/**
	 * 微信支付
	 * @param request
	 * @return
	 */
	@PostMapping("h5WeChatPay")
	public ResultObject h5WeChatPay(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		try {
			resultObject = weChatPayService.h5WeChatPay(request);
		} catch (ResultException e) {
			resultObject.setCode(e.getCode());
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		return resultObject;
    } 
	
	/**
	 * 公众号支付
	 * @param request
	 * @return
	 */
	@PostMapping("weChatPay")
	public ResultObject weChatPay(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		try {
			resultObject = weChatPayService.weChatPay(request);
		} catch (ResultException e) {
			resultObject.setCode(e.getCode());
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		return resultObject;
    } 
	
	/**
	 * 官网微信扫码支付
	 * @param request
	 * @return
	 */
	@PostMapping("wxSaoMaPay")
	public ResultObject wxSaoMaPay(HttpServletRequest request,HttpServletResponse response) {
		ResultObject resultObject = new ResultObject();
		try {
			resultObject = weChatPayService.wxSaoMaPay(request,response);
		} catch (ResultException e) {
			resultObject.setCode(e.getCode());
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		return resultObject;
    } 
	
	
}
