package com.up.zpb.hz.callback;

import lombok.Data;

/**
 * @author liuwei
 * e签宝 回调传参接收
 */
@Data
public class SignCallBack {

    //标记该通知的业务类型，该通知固定为：SIGN_FLOW_UPDATE
    private String action;
    //流程id
    private String flowId;
    //签署人的accountId
    private String accountId;
    //签约主体的账号id（个人/企业）；如签署人本签署，则返回签署人账号id；如签署人代机构签署，则返回机构账号id ,当存在多个签约主体时，返回多个，并逗号隔开
    private String authorizedAccountId;
    //本次签署任务对应指定的第三方业务流水号id，当存在多个第三方业务流水号id时，返回多个，并逗号隔开
    private String thirdOrderNo;
    //签署人的签署顺序
    private String order;
    //签署时间或拒签时间 格式yyyy-MM-dd HH:MM:SS
    private String signTime;
    //签署结果 2:签署完成 3:失败 4:拒签
    private Integer signResult;
    //拒签或失败时，附加的原因描述
    private String resultDescription;
    //时间戳
    private Long timestamp;
    //不知道是什么的参数
	private String businessScence;
	public String getAction() {
		return action;
	}
	public void setAction(String action) {
		this.action = action;
	}
	public String getFlowId() {
		return flowId;
	}
	public void setFlowId(String flowId) {
		this.flowId = flowId;
	}
	public String getAccountId() {
		return accountId;
	}
	public void setAccountId(String accountId) {
		this.accountId = accountId;
	}
	public String getAuthorizedAccountId() {
		return authorizedAccountId;
	}
	public void setAuthorizedAccountId(String authorizedAccountId) {
		this.authorizedAccountId = authorizedAccountId;
	}
	public String getThirdOrderNo() {
		return thirdOrderNo;
	}
	public void setThirdOrderNo(String thirdOrderNo) {
		this.thirdOrderNo = thirdOrderNo;
	}
	public String getOrder() {
		return order;
	}
	public void setOrder(String order) {
		this.order = order;
	}
	public String getSignTime() {
		return signTime;
	}
	public void setSignTime(String signTime) {
		this.signTime = signTime;
	}
	public Integer getSignResult() {
		return signResult;
	}
	public void setSignResult(Integer signResult) {
		this.signResult = signResult;
	}
	public String getResultDescription() {
		return resultDescription;
	}
	public void setResultDescription(String resultDescription) {
		this.resultDescription = resultDescription;
	}
	public Long getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(Long timestamp) {
		this.timestamp = timestamp;
	}

	public String getBusinessScence() {
		return businessScence;
	}

	public void setBusinessScence(String businessScence) {
		this.businessScence = businessScence;
	}
}
