package com.up.zpb.hz.helper;

import com.alibaba.fastjson.JSONObject;
import com.up.zpb.hz.comm.HttpHelper;
import com.up.zpb.hz.comm.JSONHelper;
import com.up.zpb.hz.constant.ConfigConstant;
import com.up.zpb.hz.enums.RequestType;
import com.up.zpb.hz.exception.DefineException;
import com.up.zpb.hz.param.IdentityUtil;

/**
 * @author liuwei
 */
public class IdentityHelper {


    /**
     * 对个人姓名、身份证号和手机号码的一致性进行检查校验
     */
    public static JSONObject checkIdentity(String idNo, String name, String mobileNo) throws DefineException {
        String s = IdentityUtil.checkIdentity(idNo, name);
        JSONObject json = HttpHelper.doCommHttp(RequestType.POST, ConfigConstant.base_URL(), s);
        return JSONHelper.castDataJson(json, JSONObject.class);
    }


    /**
     * 发起个人刷脸实名认证
     * 申请刷脸地址进行人脸识别认证
     */
    public static JSONObject face(
            String contextId,
            boolean repetition,
            String notifyUrl,
            String origin,
            String redirectUrl,
            String accountId)
            throws DefineException {
        String s = IdentityUtil.face(contextId, repetition, notifyUrl, origin, redirectUrl);
        JSONObject jsonObject = HttpHelper.doCommHttp(RequestType.POST, ConfigConstant.face_URL(accountId), s);
        return jsonObject;
    }


    /**
     * 获取组织机构实名认证地址
     * 获取组织机构实名认证地址
     * /v2/identity/auth/web/{accountId}/orgIdentityUrl
     */
    public static JSONObject orgIdentity(
            String accountId,
            String agentAccountId, // 经办人ID
            String contextId,      //发起方业务上下文ID    我方userAppID
            String notifyUrl,       //发起方接收认证状态变更回调地址
            String origin,          //发起实名来源
            String redirectUrl      //重定向地址
    ) throws DefineException {
            String s = IdentityUtil.orgIdentity(agentAccountId,contextId,notifyUrl,origin,redirectUrl);
            JSONObject jsonObject = HttpHelper.doCommHttp(RequestType.POST, ConfigConstant.orgIdentity_Url(accountId), s);
            return jsonObject;
    }




}
