package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.MyPublishPC;
import com.up.zpb.vo.PublishShopVo;
import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.Shop;

public interface ShopMapper {

	/**
	 * 查询出租&转让当月当前登录城市发布数量
	 * @param parameters
	 * @return
	 */
	int getPublishCount(Map<String, Object> parameters);

	/**
	 * 保存发布数据
	 * @param parameters
	 */
	void createShop(Shop shop);

	/**
	 * 获取发布列表
	 * @param parameters
	 * @return
	 */
	List<Map<String,Object>> selectPublishList(Map<String, Object> parameters);
	
	List<Map<String,Object>> selectShopPage(Map<String, Object> parameters);
	
	List<Map<String,Object>> selectHotShop(Map<String, Object> parameters);
	
	/**
	 * 更改发布列表商铺展示状态
	 * @param parameters
	 */
	void delShop(Map<String, Object> parameters);
	
	/**
	 * 独家实勘商铺
	 * @param parameters
	 * @return
	 */
	List<Map<String,Object>> selectShopList(Map<String, Object> parameters);

	/**
	 * 获取商铺分页列表数据
	 * @param parameters
	 * @return
	 */
	List<Map<String,Object>> getShopList(Map<String, Object> parameters);

	/**
	 * 根据 id 获取商铺信息
	 * @param parameters
	 * @return
	 */
	Map<String,Object> selectById(Map<String, Object> parameters);
	
	/**
	 * 获取推荐列表
	 * @param parameters
	 * @return
	 */
	List<Map<String,Object>> selectRecommendList(Map<String, Object> parameters);

	/**
	 * 获取店主电话
	 * @param parameters
	 * @return
	 */
	String selectPhone(Map<String, Object> parameters);

	/**
	 * 查询用户是否有上架商铺
	 * @param map
	 * @return
	 */
	List<Shop> selectShopByUserId(Map<String, Object> map);
	
	/**
	 * 置顶
	 * @param shop
	 * @return
	 */
	int updateShop(Shop shop);
	
	/**
	 * 存储商铺标签
	 * @param map
	 * @return
	 */
	int insertShopType(Integer shopId);
	
	/**
	 * 获取置顶商铺
	 * @param parameters
	 * @return
	 */
	List<Map<String,Object>> getShopListRand3(Map<String, Object> parameters);

	/**
	 * 保存委托转铺
	 * @param shop
	 */
	void save(Shop shop);

	/**
	 * 
	 * @param parameters
	 * @return
	 */
	int selectByPhone(Map<String, Object> parameters);
	
	/**
	 * 获取纠错信息
	 * @param parameters
	 * @return
	 */
	List<Map<String,Object>> getJCShopList(Map<String, Object> parameters);

	int select24NewShop(Map<String, Object> parameters);
	
	int select24FindShop(Map<String, Object> parameters);
	
	int select24ShopLineNum(Map<String, Object> parameters);
	
	int totalCount(Map<String, Object> parameters);
	
	int selectBySearchCount(Map<String, Object> parameters);
	
	List<Map<String,Object>> selectBySearch(Map<String, Object> parameters);
	
	List<Map<String,Object>> selectBySearchRand3(Map<String, Object> parameters);
	
	Map<String,Object>  findEntityById(String id);

    void saveAll(Shop shop);
    
    int sumIndexhouseNumber(Map<String, Object> parameters);
	
	int sumIndexCustomerNumber(Map<String, Object> parameters);
	
	List<PublishShopVo> findMyFollowShopPage(Map<String, Object> parameters);
	
	//List<PublishShopVo> findMyFollowShopPageAA(Map<String, Object> parameters);
	
	List<PublishShopVo> findMyPublishShopPage(Map<String, Object> parameters);

	/**
	 * 个人管理-跟进的写字楼
	 */
	List<Map<String,Object>> selectShopManager(Map<String,Object> map);

	List<Map<String, Object>> selectPage(Map<String, Object> parameters);

	List<Map<String, Object>> selectMyHomeEntrustPage(Map<String, Object> parameters);

    void updateUserName(Map<String, Object> parameters);

    Integer selectParentManageTypeName(String parentManageTypeId);

	List<Map<String, Object>> selectMyAppHomeEntrustPage(Map<String, Object> parameters);

	void updateShopTel(Map<String, Object> parameters);

	void updateOfficeTel(Map<String, Object> parameters);

	void updateShopOnlineStatus(Map<String, Object> params);

	List<MyPublishPC> findMyPublishAll(Map<String, Object> parameters);
}
