package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.ShopRenting;

public interface ShopRentingMapper {

	/**
	 * 查询当前登录城市当月发布求租数据总数
	 * @param parameters
	 * @return
	 */
	int getRentingCount(Map<String, Object> parameters);

	/**
	 * 保存发布的求租信息
	 * @param sr
	 */
	void createShopRenting(ShopRenting sr);

	/**
	 * 求租发布列表
	 * @param parameters
	 * @return
	 */
	List<Map<String, Object>> selectPublishList(Map<String, Object> parameters);

	/**
	 * 删除求租发布列表数据
	 * @param parameters
	 */
	void delShop(Map<String, Object> parameters);
	
	/**
	 * 获取求租列表数据
	 * @param parameters
	 * @return
	 */
	List<Map<String, Object>> selectAll(Map<String, Object> parameters);
	
	/**
	 * 求租详情
	 * @param parameters
	 * @return
	 */
	Map<String,Object> selectSolicitDetail(Map<String, Object> parameters);
	
	/**
	 * 修改求租浏览记录数据
	 * @param id
	 */
	void updateCount(Integer id);

}
