package com.up.zpb.mapper.customer;


import java.util.List;
import java.util.Map;

import com.up.zpb.vo.Customer;
import com.up.zpb.vo.PublishCustomerVo;

/**
 * 客源
 */
public interface CustomerMapper {

	void saveAll(Customer customer);

    List<Map<String, Object>> getSearchCustomer(Map<String, Object> parameters);
    
    public Map<String, Object> findEntityById(String customerId);

    Map<String, Object> getDetail(Map<String, Object> parameters);

    void save(Map<String, Object> parameters);

    /**
     * 经纪人-我的客源列表
     * @param param
     * @return
     */
    List<Map<String,Object>> getMySourceList(Map<String,Object> param);

    List<Map<String, Object>> selectPage(Map<String, Object> parameters);

    Map<String, Object> selectProject(String id, String type);
    
    /**
     * 我跟进的客源
     * @param param
     * @return
     */
    List<PublishCustomerVo>  findMyFollowCustomerPage(Map<String,Object> param);
    
    /**
     * 我发布的客源
     * @param param
     * @return
     */
    List<PublishCustomerVo>  findMyPublishCustomerPage(Map<String,Object> param);

    List<Map<String, Object>> selectMyEntrustList(Map<String, Object> parameters);
}
