package com.up.zpb.service;

import com.up.zpb.hz.exception.DefineException;
import com.up.zpb.vo.Contract;
import com.up.zpb.vo.ResultObject;

import java.util.List;
import java.util.Map;

public interface ContractService {

    Contract selectByPrimaryKey(Integer userAppId);

    List<Contract> selectAll();

    void updateByPrimaryKeySelective(Contract contract);

    void insertSelective(Contract contract);

    int approveCallBack(Contract contract);

    int replaceFallClient(Contract contract);

    int deleteByUserAppId(Integer userAppId);


    /**
     * 签署合同开始
     */
    ResultObject contractStart(Map<String, Object> parameters) throws DefineException;

    /**
     * 查询用户是否已经签电子签
     */
    Map<String, Object> selectApproveStatus(Integer userAppId) throws DefineException;


    /**
     * 待签署列表数据撤回
     */
    ResultObject revokeSignFlow(String flowId) throws DefineException;


    /**
     * 查询用户签定过后展示的地址
     */
    String selectUserContractUrl (Integer userAppId) throws DefineException;


    /**
     * 查询机构账号是否存在
     */
    void qryOrgAcctByOrgId(String orgId) throws DefineException;
}

