package com.up.zpb.service;

import java.util.Map;

import com.up.zpb.vo.ResultObject;

import javax.servlet.http.HttpServletRequest;

public interface LoginService {

	/**
	 * 发送验证码接口
	 * @param mobile
	 * @return
	 */
	Map<String, Object> sendSms(String mobile);


	/**
	 * 注册
	 * @param account
	 * @param validCode
	 * @param password
	 * @param userAgent
	 * @param cityId
	 * @param channel
	 * @return
	 */
	ResultObject register(String account, String validCode, String password, String userAgent, String provinceId,String cityId, String channel);

	/**
	 * 验证码登录
	 * @param request
	 * @param account
	 * @param validCode
	 * @return
	 */
    ResultObject loginCode(HttpServletRequest request, String account, String validCode, String cityId);

	/**
	 * 账号密码登陆
	 * @param request
	 * @param account
	 * @param password
	 * @return
	 */
	ResultObject login(HttpServletRequest request, String account, String password);

	/**
	 * 找回密码
	 * @param request
	 * @param account
	 * @param password
	 * @return
	 */
	ResultObject retrieve(HttpServletRequest request, String account, String password, String validCode);

	/**
	 * 更新经纪人
	 * @return
	 */
    ResultObject updateUserTypePeople(Map<String,Object> parameters);

	/**
	 * 更新为公司
	 * @return
	 */
	ResultObject updateUserTypeCorporate(Map<String,Object> parameters);

	/**
	 * 邀请注册
	 * @param parameters
	 * @return
	 */
	ResultObject invitationRegister(Map<String, Object> parameters);

	/**
	 * 修改密码
	 * @param parameters
	 * @return
	 */
	ResultObject updatePassword(Map<String, Object> parameters);

	/**
	 * 新增密码
	 * @param parameters
	 * @return
	 */
    ResultObject addPassword(Map<String, Object> parameters);

	ResultObject wxLogin(String account, String validCode, String openId, String s1, String provinceId, String cityId, String source, String userAgent);
}
