package com.up.zpb.service;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.Shop;

public interface ShopService {

	/**
	 * 获取检索条件
	 * @param parameters
	 * @return
	 */
	ResultObject getSearchConditon(Map<String, Object> parameters);

	/**
	 * 获取商铺列表
	 * @param parameters
	 * @return
	 */
	ResultObject getShopList(Map<String, Object> parameters);

	/**
	 * 获取商铺详情信息
	 * @param parameters
	 * @return
	 */
	ResultObject getShopDetail(Map<String, Object> parameters);

	/**
	 * 一键纠错(获取纠错信息)
	 * @param parameters
	 * @return
	 */
	ResultObject getCorrectionInfo(Map<String, Object> parameters);

	/**
	 * 保存纠错信息
	 * @param parameters
	 * @return
	 */
	ResultObject submitCorrectionInfo(Map<String, Object> parameters);

	/**
	 * 查看次数接口
	 * @param parameters
	 * @return
	 */
	ResultObject shopCheckedRecords(Map<String, Object> parameters);

	/**
	 * 获取店主电话
	 * @param parameters
	 * @return
	 */
	ResultObject selectPhone(Map<String, Object> parameters);

	/**
	 * 求租列表
	 * @param parameters
	 * @return
	 */
	ResultObject selectSolicit(Map<String, Object> parameters);

	/**
	 * 求租详情
	 * @param parameters
	 * @return
	 */
	ResultObject selectSolicitDetail(Map<String, Object> parameters);

	/**
	 * 判断是否为转店会员
	 * @param parameters
	 * @return
	 */
	ResultObject isVip(Map<String, Object> parameters);

	ResultObject getShopSearch(Map<String, Object> parameters);

	ResultObject findShangBanSearch(Map<String, Object> parameters);

	ResultObject findShopSaleSearch(Map<String, Object> parameters);

	ResultObject findShopRentTitle(Map<String, Object> parameters);

	ResultObject findShopNewSearch(Map<String, Object> parameters);

	ResultObject selectShopPage(Map<String, Object> paraMap);

	ResultObject selectHotShop(Map<String, Object> paraMap);

    void saveAll(Shop shop);

	ResultObject findMyFollowShopPage(Map<String, Object> paraMap);

	ResultObject findMyPublishShopPage(Map<String, Object> paraMap);

	/**
	 * 个人管理-跟进的商铺
	 */
	ResultObject selectShopManager(Map<String,Object> map);

    /**
     * 获取指定 cityId 区域 筛选项
     */
    ResultObject getFollowSearch(Map<String,Object> map);

    ResultObject selectPage(Map<String, Object> parameters);

	ResultObject appShopDetail(Map<String, Object> paraMap);

	ResultObject pcShopDetail(Map<String, Object> paraMap);

	ResultObject selectMyHomeEntrustPage(Map<String, Object> parameters);

	ResultObject myPublishSearch(Map<String, Object> parameters);

    ResultObject updateUserName(Map<String, Object> parameters);

	ResultObject crawlerShop(JSONObject jsonObject);

	ResultObject crawlerNewDiskShop(JSONObject jsonObject);

    ResultObject selectMyAppHomeEntrustPage(Map<String, Object> parameters);

	ResultObject updateTel(Map<String, Object> parameters);

	ResultObject shopOut(Map<String,Object> parameters);

	ResultObject findMyPublishAll(Map<String, Object> parameters);
}
