package com.up.zpb.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.up.zpb.service.FourHundredService;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Component
public class ScheduledServiceImpl {
	private static final Logger logger = LoggerFactory.getLogger(ScheduledServiceImpl.class);
	@Autowired
	private FourHundredService fourHundredService;
	
	
	// 每天的凌晨3点执行一次，中午12点执行一次
	@Scheduled(cron = "0 0 3,12 * * ?")		
	public void scheduled2(){
		logger.info("【start 定时服务程序要查询出需要分配分机号（即坐席工号）的房源联系人（轮询间隔期间上架的房客源联系人手机号，如果没有分机号则分配一个空闲的）!】");
		this.fourHundredService.taskBinding();
		logger.info("【end   定时服务程序要查询出需要分配分机号（即坐席工号）的房源联系人（轮询间隔期间上架的房客源联系人手机号，如果没有分机号则分配一个空闲的）!】");
	}


	
	
	//@Scheduled(cron = "0 0 0/1 * * ?")//每隔1个小时
	@Scheduled(cron = "0 0/30 * * * ?")//每隔30分钟 
	public void scheduled(){
		logger.info("【=============轮询 400已接电话列表  start】");
		this.fourHundredService.taskAnsweredList();
		this.fourHundredService.taskNoAnsweredList();
		logger.info("【=============轮询 400已接电话列表  end】");
	}
	
	
		
}
