package com.up.zpb.service.impl;

import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.zpb.mapper.ShopDailyRentExponentialMapper;
import com.up.zpb.service.ShopDailyRentExponentialService;
import com.up.zpb.vo.ShopDailyRentExponential;

/**
 * 商铺租金指数
 * @author gust
 *
 */
@Service
@Transactional(propagation=Propagation.SUPPORTS)
public class ShopDailyRentExponentialServiceImpl implements ShopDailyRentExponentialService{
	
	private static final Logger logger = LoggerFactory.getLogger(ShopDailyRentExponentialServiceImpl.class);
	
	@Autowired
	ShopDailyRentExponentialMapper shopDailyRentExponentialMapper;

	@Override
	public List<ShopDailyRentExponential> getNewestData(Map<String, Object> parameters) {
		logger.info("ShopDailyRentExponentialServiceImpl getNewestData parameters:{}",parameters);
		return shopDailyRentExponentialMapper.getNewestData(parameters);
	}

	@Override
	public List<Map<String, Object>> selectByAreaName(Map<String, Object> parameters) {
		// TODO Auto-generated method stub
		return shopDailyRentExponentialMapper.selectByAreaName(parameters);
	}

}
