package com.up.zpb.service.impl;

import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.zpb.mapper.UserMapper;
import com.up.zpb.service.UserService;
import com.up.zpb.vo.UserApp;

@Service
@Transactional(propagation=Propagation.SUPPORTS)
public class UserServiceImpl implements UserService{

	private static final Logger logger = LoggerFactory.getLogger(UserServiceImpl.class);
	
	@Autowired
	UserMapper userMapper;
	
	@Override
	public UserApp selectUserByAccount(Map<String, Object> map) {
		logger.info("UserServiceImpl selectUserByAccount map:{}",map);
		return userMapper.selectUserByAccount(map);
	}

	@Override
	public void updateUser(UserApp userApp) {
		logger.info("UserServiceImpl updateUser in...");
		userMapper.updateUser(userApp);
	}

	@Override
	public void saveUser(UserApp userApp) {
		logger.info("UserServiceImpl saveUser in...");
		userMapper.saveUser(userApp);
	}

	@Override
	public Map<String, Object> getUser(Map<String, Object> parameters) {
		return userMapper.getUser(parameters);
	}

	@Override
	public UserApp selectPhone(Map<String, Object> mapParam) {
		return userMapper.selectPhone(mapParam);
	}

}
