package com.up.zpb.service.impl;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jdom.JDOMException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.up.zpb.mapper.MemberOrderMapper;
import com.up.zpb.mapper.MemberServiceMapper;
import com.up.zpb.pay.wx.WxAuth;
import com.up.zpb.pay.wx.WxPay;
import com.up.zpb.service.WeChatPayService;
import com.up.zpb.util.IpAddressUtils;
import com.up.zpb.util.ServletUtils;
import com.up.zpb.vo.ResultObject;

@Service
public class WeChatPayServiceImpl implements WeChatPayService{
	
	@Autowired
	MemberServiceMapper memberServiceMapper;
	
	@Autowired
	MemberOrderMapper memberOrderMapper;
	
	/**
	 * 微信APP支付环境配置
	 */
	 public final static String APPID = "wx3b8542d0439750b2"; //"wxe798b738fe950529";//服务号的应用号
	 public final static String MCH_ID = "1500758351"; //"1500758351";//商户号
	 public final static String API_KEY = "f0995f9dcc993f96d4cae14677f4ea22"; //"VdiexRYh3OaJddmSlFiQXQ2PMEdGfrCt";//API密钥
	 public final static String MCH_KEY = "VdiexRYh3OaJddmSlFiQXQ2PMEdGfrCt"; //"VdiexRYh3OaJddmSlFiQXQ2PMEdGfrCt";//API密钥
	 public final static String NOTIFY_URL = "http://39.106.34.107:8081/WXPayCallBackApi/callBack";//"http://api.zpb.youpuchina.com/WXPayCallBackApi/callBack"; 
	//微信支付统一接口(POST)
	private static final String MP_APP_ID = "wx06e4787ad5a187a7";
	
	@Autowired
	AliPayServiceImpl aliPayServiceImpl;
	
	@Override
	public ResultObject h5WeChatPay(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		Map<String, Object> parameters = ServletUtils.getParameters(request);
		//处理参数
		Map<String, Object> map = aliPayServiceImpl.dealparameters(parameters);
		String orderNo = (String) map.get("orderNo");
		String subject = (String) map.get("subject");
		Double payAmount = (Double) map.get("payAmount");
		String ip = parameters.get("ip").toString();
		try {
			String wxH5PayInfo = WxPay.getWxH5PayInfo(APPID, MCH_KEY, MCH_ID, orderNo, payAmount, NOTIFY_URL, ip,subject);
			resultObject.put("data", wxH5PayInfo);
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		return resultObject;
	}

	@Override
	public ResultObject weChatPay(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		Map<String, Object> parameters = ServletUtils.getParameters(request);
		//处理参数
		Map<String, Object> map = aliPayServiceImpl.dealparameters(parameters);
		String orderNo = (String) map.get("orderNo");
		String subject = (String) map.get("subject");
		Double payAmount = (Double) map.get("payAmount");
		String ip = IpAddressUtils.getIpAddress(request);
		String code = parameters.get("code").toString();
		Map<String, String> openID = WxAuth.getOpenID("wx06e4787ad5a187a7","25e4ff1fe6b8ade30c54f6c44b3c385b",code);
		String openid = openID.get("openid");
		try {
			 Map<String, Object> wxPayInfo = WxPay.getWxPayInfo(MP_APP_ID, MCH_KEY, MCH_ID, orderNo, payAmount, NOTIFY_URL, ip, openid,subject);
			resultObject.put("data", wxPayInfo);
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		return resultObject;
	}

	@Override
	public ResultObject appWeChatPay(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		Map<String, Object> parameters = ServletUtils.getParameters(request);
		//创建订单
		Map<String, Object> map = aliPayServiceImpl.dealparameters(parameters);
		String orderNo = (String) map.get("orderNo");
		String subject = (String) map.get("subject");
		Double payAmount = (Double) map.get("payAmount");
		String userIP =IpAddressUtils.getIpAddress(request);
		try {
			Map<String, Object> appWxPayInfo = WxPay.getAppWxPayInfo(APPID, MCH_KEY, MCH_ID, orderNo, payAmount, NOTIFY_URL, userIP,subject);
			resultObject.put("data", appWxPayInfo);
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		return resultObject;
	}

	@Override
	public ResultObject wxSaoMaPay(HttpServletRequest request,HttpServletResponse response) throws JDOMException, IOException {
		ResultObject resultObject = new ResultObject();
		Map<String, Object> parameters = ServletUtils.getParameters(request);
		//处理参数
		Map<String, Object> map = aliPayServiceImpl.dealparameters(parameters);
		String orderNo = (String) map.get("orderNo");
		String subject = (String) map.get("subject");
		Double payAmount = (Double) map.get("payAmount");
		String userIP =IpAddressUtils.getIpAddress(request);
		String wxSaoMaPay = WxPay.wxSaoMaPay(APPID, MCH_KEY, MCH_ID, orderNo, payAmount, NOTIFY_URL, userIP,subject);
		resultObject.put("data", wxSaoMaPay);
		return resultObject;
	}

}
