package com.up.zpb.util;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.util.Random;

import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;

import sun.misc.BASE64Encoder;

/**
 * 青牛apiplus鉴权工具类
 *
 * @author Ma_wei
 * @since 2019-10-14 16:08
 */
public class QnSignUitl {

    // 编码方式
    private static final String CONTENT_CHARSET = "UTF-8";
    // HMAC算法
    private static final String HMAC_ALGORITHM = "HmacSHA1";
    
    private static final String secretId ="1c3596f28f854b6b99d9ba7758b83ed5";
    private static final String secretKey ="d2865a807ef6416bbda4a7734ca298d2";

    /**
	 * 拼接Authorization
	 * @return
	 */
	public static String findAuthorization() {
		String Authorization="/callControl/requestCall?Nonce="+getRandom()+"&Timestamp="+System.currentTimeMillis()+"&SecretId="+secretId;
		return Authorization;
	}
	
    
    /**
     * 生成需要的Signature
     * 这个文件的方式传入的参数是Authorization 和 secretKey
     * @param signStr
     * @param secretKey
     * @return
     */
    public static String sign(String Signature) {
        try {
            String sig = null;
            Mac mac = Mac.getInstance(HMAC_ALGORITHM);
            SecretKeySpec secret = new SecretKeySpec(secretKey.getBytes(CONTENT_CHARSET), mac.getAlgorithm());

            mac.init(secret);
            byte[] hash = mac.doFinal(Signature.getBytes(CONTENT_CHARSET));
            // base64
            sig = new String(new BASE64Encoder().encode(hash).getBytes());
            String syssig = URLEncoder.encode(sig,"utf-8");
            return syssig;
        } catch (NoSuchAlgorithmException | UnsupportedEncodingException | InvalidKeyException e) {
            e.printStackTrace();
        }
        return null;
    }

    /**
     * 4位随机数
     * @return
     */
    public static int getRandom() {
        int x;//定义两变量
        Random ne=new Random();//实例化一个random的对象ne
        x=ne.nextInt(9999-1000+1)+1000;//为变量赋随机值1000-9999
        return x;
    }
    
    
    public static void main(String[] args) {
    	System.out.println("===================得到的签名sign为："+sign(findAuthorization()));
    }
}
