package com.up.zpb.vo;

import lombok.Data;

import java.util.Date;

/**
 * @author liuwei
 * 合同表   关联E签宝业务
 */
@Data
public class Contract {

    /**
     * CBMLS用户主键ID
     */
    private Integer userAppId;

    /**
     * E签包生成e签宝业务用户ID
     */
    private String accountId;

    /**
     * E签包生成e签宝签署流程ID  等价于本次合同流水号
     */
    private String flowId;

	/**
	 *	E签包生成e签宝认证流程ID   认证查询使用
	 */
	private String agentFlowId;

	/**
     * 用户实名认证状态  0-未认证  1-已认证
     */
    private Integer approveStatus;

    /**
     * 合同签署状态  0-未签署  1-已签署
     */
    private Integer signStatus;

    /**
     * 如果是公司认证 E签宝需要公司唯一标识  这里取 user_app_id+‘corp’ 生成
     */
    private String orgId;

    /**
     * 失败/拒绝 原因
     */
    private String cause;

    /**
     * 签署/拒绝时间
     */
    private Date signTime;

	/**
	 * 签署合同地址 短链接（有效期30天）
	 */
	private String shortUrl;

	/**
	 * 用户认证地址 短链接（有效期30天）
	 */
	private String identityUrl;



	public Integer getUserAppId() {
		return userAppId;
	}

	public void setUserAppId(Integer userAppId) {
		this.userAppId = userAppId;
	}

	public String getAccountId() {
		return accountId;
	}

	public void setAccountId(String accountId) {
		this.accountId = accountId;
	}

	public String getFlowId() {
		return flowId;
	}

	public void setFlowId(String flowId) {
		this.flowId = flowId;
	}

	public Integer getApproveStatus() {
		return approveStatus;
	}

	public void setApproveStatus(Integer approveStatus) {
		this.approveStatus = approveStatus;
	}

	public Integer getSignStatus() {
		return signStatus;
	}

	public void setSignStatus(Integer signStatus) {
		this.signStatus = signStatus;
	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getCause() {
		return cause;
	}

	public void setCause(String cause) {
		this.cause = cause;
	}

	public Date getSignTime() {
		return signTime;
	}

	public void setSignTime(Date signTime) {
		this.signTime = signTime;
	}


	public String getShortUrl() {
		return shortUrl;
	}

	public void setShortUrl(String shortUrl) {
		this.shortUrl = shortUrl;
	}

	public String getIdentityUrl() {
		return identityUrl;
	}

	public void setIdentityUrl(String identityUrl) {
		this.identityUrl = identityUrl;
	}

	public String getAgentFlowId() {
		return agentFlowId;
	}

	public void setAgentFlowId(String agentFlowId) {
		this.agentFlowId = agentFlowId;
	}
	
	
}
