package com.up.zpb.vo;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 客源记录表
 * @author gust
 *
 */
public class CrmCustomer {
	
	/**
	 * 主键id
	 */
	private Integer id;

	/**
	 * 客户电话
	 */
	private String phone;
	
	/**
	 * 客户姓名
	 */
	private String name;

	/**
	 * 月租金上限（2位小数,元/月）
	 */
	private BigDecimal monthlyRentUpper;

	/**
	 * 月租金下限（2位小数,元/月）
	 */
	private BigDecimal monthlyRentLower;

	/**
	 * 区域商圈
	 */
	private String businessArea;

	/**
	 * 面积上限(整数)
	 */
	private BigDecimal areaUpper;

	/**
	 * 面积下限(整数)
	 */
	private BigDecimal areaLower;

	/**
	 * 客户来源
	 */
	private Integer createType;

	/**
	 * 进入公海的时间
	 */
	private Date seasTime;

	/**
	 * 求租列表时间
	 */
	private Date solicitingTime;

	/**
	 * 求租列表查看数量
	 */
	private int count;
	
	/**
	 * 当前经营/经营业态（一级）
	 */
	private Integer parentManageTypeId;

	/**
	 * 当前经营/经营业态（二级）
	 */
	private Integer sonManageTypeId;
	
	/**
	 * 流程节点状态值
	 * 全部客户, 电销, 开店, 选址, 交易, 无效
	 */
	private Integer nodeStatus;
	
	/**
	 * 数据流转状态
	 */
	private Integer followStatus;
	
	/**
	 * 创建时间
	 */
	private Date createTime;
	
	/**
	 * 不限
	 */
	private Boolean typeUnlimited; 
	
	/**
	 * 步行商业街
	 */
	private Boolean businessStreet; 
	
	/**
	 * 社区商业
	 */
	private Boolean communityBusiness; 
	
	/**
	 * 写字楼配套
	 */
	private Boolean officeBuilding;
	
	/**
	 * 市场
	 */
	private Boolean market; 
	
	/**
	 * 购物中心
	 */
	private Boolean shoppingCenter;
	
	/**
	 * 独立商业
	 */
	private Boolean independentBusiness;
	
	/**
	 * 学校
	 */
	private Boolean school; 
	
	/**
	 * 村镇商铺
	 */
	private Boolean town;
	
	/**
	 * 档口摊位
	 */
	private Boolean stall; 
	
	/**
	 * 其他
	 */
	private Boolean others;
	
	/**
	 * 客户ID
	 */
	private String cusId;

	private String CusID;

	/**
	 * 市id
	 */
	private Integer cityId;
	
	/**
	 * 区域
	 */
	private Integer areaId;
	
	/**
	 * 商圈
	 */
	private Integer businessAreaId;
	
	/**
	 * 更新时间
	 */
	private Date updateTime;
	
	/**
	 * 电销跟进状态
	 */
	private Integer saleStatus;
	
	private Integer visitStatus;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public BigDecimal getMonthlyRentUpper() {
		return monthlyRentUpper;
	}

	public void setMonthlyRentUpper(BigDecimal monthlyRentUpper) {
		this.monthlyRentUpper = monthlyRentUpper;
	}

	public BigDecimal getMonthlyRentLower() {
		return monthlyRentLower;
	}

	public void setMonthlyRentLower(BigDecimal monthlyRentLower) {
		this.monthlyRentLower = monthlyRentLower;
	}

	public String getBusinessArea() {
		return businessArea;
	}

	public void setBusinessArea(String businessArea) {
		this.businessArea = businessArea;
	}

	public BigDecimal getAreaUpper() {
		return areaUpper;
	}

	public void setAreaUpper(BigDecimal areaUpper) {
		this.areaUpper = areaUpper;
	}

	public BigDecimal getAreaLower() {
		return areaLower;
	}

	public void setAreaLower(BigDecimal areaLower) {
		this.areaLower = areaLower;
	}

	public Integer getCreateType() {
		return createType;
	}

	public void setCreateType(Integer createType) {
		this.createType = createType;
	}

	public Date getSeasTime() {
		return seasTime;
	}

	public void setSeasTime(Date seasTime) {
		this.seasTime = seasTime;
	}

	public Date getSolicitingTime() {
		return solicitingTime;
	}

	public void setSolicitingTime(Date solicitingTime) {
		this.solicitingTime = solicitingTime;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}

	public Integer getParentManageTypeId() {
		return parentManageTypeId;
	}

	public void setParentManageTypeId(Integer parentManageTypeId) {
		this.parentManageTypeId = parentManageTypeId;
	}

	public Integer getSonManageTypeId() {
		return sonManageTypeId;
	}

	public void setSonManageTypeId(Integer sonManageTypeId) {
		this.sonManageTypeId = sonManageTypeId;
	}

	public Integer getNodeStatus() {
		return nodeStatus;
	}

	public void setNodeStatus(Integer nodeStatus) {
		this.nodeStatus = nodeStatus;
	}

	public Integer getFollowStatus() {
		return followStatus;
	}

	public void setFollowStatus(Integer followStatus) {
		this.followStatus = followStatus;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Boolean getTypeUnlimited() {
		return typeUnlimited;
	}

	public void setTypeUnlimited(Boolean typeUnlimited) {
		this.typeUnlimited = typeUnlimited;
	}

	public Boolean getBusinessStreet() {
		return businessStreet;
	}

	public void setBusinessStreet(Boolean businessStreet) {
		this.businessStreet = businessStreet;
	}

	public Boolean getCommunityBusiness() {
		return communityBusiness;
	}

	public void setCommunityBusiness(Boolean communityBusiness) {
		this.communityBusiness = communityBusiness;
	}

	public Boolean getOfficeBuilding() {
		return officeBuilding;
	}

	public void setOfficeBuilding(Boolean officeBuilding) {
		this.officeBuilding = officeBuilding;
	}

	public Boolean getMarket() {
		return market;
	}

	public void setMarket(Boolean market) {
		this.market = market;
	}

	public Boolean getShoppingCenter() {
		return shoppingCenter;
	}

	public void setShoppingCenter(Boolean shoppingCenter) {
		this.shoppingCenter = shoppingCenter;
	}

	public Boolean getIndependentBusiness() {
		return independentBusiness;
	}

	public void setIndependentBusiness(Boolean independentBusiness) {
		this.independentBusiness = independentBusiness;
	}

	public Boolean getSchool() {
		return school;
	}

	public void setSchool(Boolean school) {
		this.school = school;
	}

	public Boolean getTown() {
		return town;
	}

	public void setTown(Boolean town) {
		this.town = town;
	}

	public Boolean getStall() {
		return stall;
	}

	public void setStall(Boolean stall) {
		this.stall = stall;
	}

	public Boolean getOthers() {
		return others;
	}

	public void setOthers(Boolean others) {
		this.others = others;
	}

	public String getCusId() {
		return cusId;
	}

	public void setCusId(String cusId) {
		this.cusId = cusId;
	}

	public Integer getCityId() {
		return cityId;
	}

	public void setCityId(Integer cityId) {
		this.cityId = cityId;
	}

	public Integer getAreaId() {
		return areaId;
	}

	public void setAreaId(Integer areaId) {
		this.areaId = areaId;
	}

	public Integer getBusinessAreaId() {
		return businessAreaId;
	}

	public void setBusinessAreaId(Integer businessAreaId) {
		this.businessAreaId = businessAreaId;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getSaleStatus() {
		return saleStatus;
	}

	public void setSaleStatus(Integer saleStatus) {
		this.saleStatus = saleStatus;
	}

	public Integer getVisitStatus() {
		return visitStatus;
	}

	public void setVisitStatus(Integer visitStatus) {
		this.visitStatus = visitStatus;
	}

	public String getCusID() {
		return CusID;
	}

	public void setCusID(String cusID) {
		CusID = cusID;
	}
}
