package com.up.zpb.vo;

import lombok.Data;

import java.util.Date;

/**
 * 客源信息
 */
@Data
public class Customer {

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 客户姓名
     */
    private String name;
    /**
     * 客户电话
     */
    private String account;
    /**
     * 委托一级分类
     */
    private String entrustOne;
    /**
     * 委托二级分类
     */
    private String entrustTwo;
    /**
     * 商铺类型
     */
    private String shopType;
    /**
     * 意向最小单价
     */
    private Double priceMin;
    /**
     * 意向最大单价
     */
    private Double priceMax;
    /**
     * 意向最小日租金
     */
    private Double priceDayMin;
    /**
     * 意向最大日租金
     */
    private Double priceDayMax;
    /**
     * 区域id 多个用","隔开
     */
    private String wantRegion;

    /**
     * 商圈id 多个用","隔开
     */
    private String wantArea;

    /**
     * 意向最小面积
     */
    private String wantAreaMin;
    /**
     * 意向最大面积
     */
    private String wantAreaMax;

    /**
     * 用户备注
     */
    private String remarks;
    /**
     * 佣金
     */
    private Double commission;
    /**
     * 结佣时间
     */
    private String commissionDate;
    /**
     * 发布人名字
     */
    private String createUser;
    /**
     * 发布人联系方式
     */
    private String createTel;

    /**
     * 发布人id
     */
    private String createId;

    /**
     * 城市id
     */
    private String cityId;

    /**
     * 系统发布时间
     */
    private Date createTime;

	/**
	 * 委托书
	 */
	private String entrustImg;

	/**
	 * 类型
	 * 买写字楼 0
	 * 租写字楼 1
	 * 买写字楼新盘 2
	 * 租写字楼新盘 3
	 * 买商铺 4
	 * 租商铺 5
	 * 买商铺新盘 6
	 * 租商铺新盘 7
	 */
	private String type;

	private String status;

	private String rentType;

	private String requestType;

	private String ifShop;

	/**
	 * 最小预算
	 */
	private String budgetMin;

	/**
	 * 最大预算
	 */
	private String budgetMax;

	public String getBudgetMin() {
		return budgetMin;
	}

	public void setBudgetMin(String budgetMin) {
		this.budgetMin = budgetMin;
	}

	public String getBudgetMax() {
		return budgetMax;
	}

	public void setBudgetMax(String budgetMax) {
		this.budgetMax = budgetMax;
	}

	public String getIfShop() {
		return ifShop;
	}

	public void setIfShop(String ifShop) {
		this.ifShop = ifShop;
	}

	public String getRentType() {
		return rentType;
	}

	public void setRentType(String rentType) {
		this.rentType = rentType;
	}

	public String getRequestType() {
		return requestType;
	}

	public void setRequestType(String requestType) {
		this.requestType = requestType;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getCommissionDate() {
		return commissionDate;
	}

	public void setCommissionDate(String commissionDate) {
		this.commissionDate = commissionDate;
	}

	public String getEntrustImg() {
		return entrustImg;
	}

	public void setEntrustImg(String entrustImg) {
		this.entrustImg = entrustImg;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAccount() {
		return account;
	}

	public void setAccount(String account) {
		this.account = account;
	}

	public String getEntrustOne() {
		return entrustOne;
	}

	public void setEntrustOne(String entrustOne) {
		this.entrustOne = entrustOne;
	}

	public String getEntrustTwo() {
		return entrustTwo;
	}

	public void setEntrustTwo(String entrustTwo) {
		this.entrustTwo = entrustTwo;
	}

	public String getShopType() {
		return shopType;
	}

	public void setShopType(String shopType) {
		this.shopType = shopType;
	}

	public Double getPriceMin() {
		return priceMin;
	}

	public void setPriceMin(Double priceMin) {
		this.priceMin = priceMin;
	}

	public Double getPriceMax() {
		return priceMax;
	}

	public void setPriceMax(Double priceMax) {
		this.priceMax = priceMax;
	}

	public Double getPriceDayMin() {
		return priceDayMin;
	}

	public void setPriceDayMin(Double priceDayMin) {
		this.priceDayMin = priceDayMin;
	}

	public Double getPriceDayMax() {
		return priceDayMax;
	}

	public void setPriceDayMax(Double priceDayMax) {
		this.priceDayMax = priceDayMax;
	}

	public String getWantRegion() {
		return wantRegion;
	}

	public void setWantRegion(String wantRegion) {
		this.wantRegion = wantRegion;
	}

	public String getWantArea() {
		return wantArea;
	}

	public void setWantArea(String wantArea) {
		this.wantArea = wantArea;
	}

	public String getWantAreaMin() {
		return wantAreaMin;
	}

	public void setWantAreaMin(String wantAreaMin) {
		this.wantAreaMin = wantAreaMin;
	}

	public String getWantAreaMax() {
		return wantAreaMax;
	}

	public void setWantAreaMax(String wantAreaMax) {
		this.wantAreaMax = wantAreaMax;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Double getCommission() {
		return commission;
	}

	public void setCommission(Double commission) {
		this.commission = commission;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public String getCreateTel() {
		return createTel;
	}

	public void setCreateTel(String createTel) {
		this.createTel = createTel;
	}

	public String getCreateId() {
		return createId;
	}

	public void setCreateId(String createId) {
		this.createId = createId;
	}

	public String getCityId() {
		return cityId;
	}

	public void setCityId(String cityId) {
		this.cityId = cityId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}


    
}
