package com.up.zpb.vo;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 会员购买产品记录
 * @author gust
 *
 */
public class MemberOrder {

	/**
	 * 主键id
	 */
	private Integer id;
	
	/**
	 * 服务开始时间
	 */
	private Date createTime;
	/**
	 * 订单金额 
	 */
	private BigDecimal orderFee;
	
	/**
	 * 订单编号
	 */
	private String orderNo;
	
	/**
	 * 会员产品类型 字典106
	 */
	private Integer orderType;
	
	/**
	 * 订单支付状态 字典表161 0 待支付 1 已支付 2 已失效
	 */
	private Integer status;
	
	/**
	 * 购买产品的id
	 */
	private Integer productId;
	
	/**
	 * 购买用户的id
	 */
	private Integer userId;
	
	/**
	 * 订单来源
	 */
	private Integer orderSource;
	
	/**
	 * 支付流水号，支付成功回调时获得
	 */
	private String tradeNo;
	
	/**
	 * 支付方账号，支付宝支付成功回调时获得
	 */
	private String buyerEmail;
	
	/**
	 * 支付时间
	 */
	private Date payTime;
	
	/**
	 * 支付方式  支付宝, 微信 , 后台开通
	 */
	private Integer paymentType;
	
	/**
	 * 市id
	 */
	private Integer cityId;
	
	
	

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public BigDecimal getOrderFee() {
		return orderFee;
	}

	public void setOrderFee(BigDecimal orderFee) {
		this.orderFee = orderFee;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public Integer getOrderType() {
		return orderType;
	}

	public void setOrderType(Integer orderType) {
		this.orderType = orderType;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getProductId() {
		return productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getOrderSource() {
		return orderSource;
	}

	public void setOrderSource(Integer orderSource) {
		this.orderSource = orderSource;
	}

	public String getTradeNo() {
		return tradeNo;
	}

	public void setTradeNo(String tradeNo) {
		this.tradeNo = tradeNo;
	}

	public String getBuyerEmail() {
		return buyerEmail;
	}

	public void setBuyerEmail(String buyerEmail) {
		this.buyerEmail = buyerEmail;
	}

	public Date getPayTime() {
		return payTime;
	}

	public void setPayTime(Date payTime) {
		this.payTime = payTime;
	}

	public Integer getPaymentType() {
		return paymentType;
	}

	public void setPaymentType(Integer paymentType) {
		this.paymentType = paymentType;
	}

	public Integer getCityId() {
		return cityId;
	}

	public void setCityId(Integer cityId) {
		this.cityId = cityId;
	}

	
	
}
