package com.up.zpb.vo.enums;

public class CustomerEnum {

    //订单状态： 0-交易结束 1-审核 2-报备 3-到访 4-认购 5-签约 6-结佣 7-完成
    public enum OrderStatus {
        CUSTOMER_JIESU("0", "交易结束"), CUSTOMER_AUDIT("1", "审核"), CUSTOMER_BAOBEI("2", "报备"),
        CUSTOMER_DAOFANG("3", "到访"), CUSTOMER_RENGOU("4", "认购"), CUSTOMER_SIGN("5", "签约"),
        CUSTOMER_JIEYONG("6", "结佣"), CUSTOMER_COMPLETE("7", "完成");

        private String name;
        private String value;

        public static OrderStatus codeOf(String value) {
            for(OrderStatus a:OrderStatus.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        OrderStatus(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }


    //类型 类型:0-买写字楼;1-租写字楼 ;2-买写字楼新盘;3-租写字楼新盘;4-买商铺;5-租商铺;6-买商铺新盘;7-租商铺新盘
    public enum CustomerType {
        CUSTOMER_PAYSHOP("0","买写字楼"),
        CUSTOMER_RENTSHOP("1","租写字楼"),
        CUSTOMER_RENTOFFICE("2","买写字楼新盘"),
        CUSTOMER_PAYOFFICE("3","租写字楼新盘"),
        CUSTOMER_RENTNEWSHOP("4","买商铺"),
        CUSTOMER_PAYNEWSHOP("5","租商铺"),
        CUSTOMER_RENTNEWOFFICE("6","买商铺新盘"),
        CUSTOMER_PAYNEWOFFICE("7","租商铺新盘");

        private String name;
        private String value;

        public static CustomerType codeOf(String value) {
            for(CustomerType a: CustomerType.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        CustomerType(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
  
    // 1-求租 2-求购
    public enum RequestType {
        CUSTOMER_PAYSHOP("1","求租"),
        CUSTOMER_PAYNEWOFFICE("2","求购");

        private String name;
        private String value;

        public static RequestType codeOf(String value) {
            for(RequestType a: RequestType.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        RequestType(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
    
}
